| Haskell Hierarchical Libraries (fgl package) | Contents | Index

Data.Graph.Inductive.Internal.Queue

Contents

Type
Operations

Synopsis

data Queue a = MkQueue [a] [a]
mkQueue :: Queue a
queuePut :: a -> Queue a -> Queue a
queuePutList :: [a] -> Queue a -> Queue a
queueGet :: Queue a -> (a, Queue a)
queueEmpty :: Queue a -> Bool

Type
data Queue a

Constructors

MkQueue [a] [a] |

Operations
mkQueue :: Queue a
queuePut :: a -> Queue a -> Queue a
queuePutList :: [a] -> Queue a -> Queue a
queueGet :: Queue a -> (a, Queue a)
queueEmpty :: Queue a -> Bool
Produced by Haddock version 0.7